### Function Macro

# GObject VALUE_LCOPY

since: 2.0

#### Declaration

    #define G_VALUE_LCOPY (
      value,
      var_args,
      flags,
      __error
    )

#### Description

Stores a value’s value into one or more argument locations from a `va_list`.

This is the inverse of G_VALUE_COLLECT().

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue` to store into the `var_args`; this must be initialized and set.

`var_args`

  Type: `-`

  The va_list variable; it may be evaluated multiple times.

`flags`

  Type: `-`

  Flags which are passed on to the `lcopy_value()` function of the `GTypeValueTable` of `value`.

`__error`

  Type: `-`

  A #gchar** variable that will be modified to hold a `g_new()` allocated error message if something fails.